Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.inject
Class ConstructionContext<T>

    java.lang.Object
      com.opensymphony.xwork2.inject.ConstructionContext<T>

     class ConstructionContext<T>

extends Object

Context of a dependency construction. Used to manage circular references.

Author:
  crazybob@google.com (Bob Lee)

Nested Class Summary
`(package private) static class` | `ConstructionContext.DelegatingInvocationHandler<T>`

Field Summary
`(package private) boolean` | `constructing`
`(package private) T` | `currentReference`
`(package private) List<ConstructionContext.DelegatingInvocationHandler<T>>` | `invocationHandlers`

Constructor Summary
`ConstructionContext()`

Method Summary
`(package private) Object` | `createProxy(Class<? super T> expectedType)`
`(package private) void` | `finishConstruction()`
`(package private) T` | `getCurrentReference()`
`(package private) boolean` | `isConstructing()`
`(package private) void` | `removeCurrentReference()`
`(package private) void` | `setCurrentReference(T currentReference)`
`(package private) void` | `setProxyDelegates(T delegate)`
`(package private) void` | `startConstruction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentReference

    T currentReference

### constructing

    boolean constructing

### invocationHandlers

    List<ConstructionContext.DelegatingInvocationHandler<T>> invocationHandlers

Constructor Detail

### ConstructionContext

    ConstructionContext()

Method Detail

### getCurrentReference

    T getCurrentReference()

### removeCurrentReference

    void removeCurrentReference()

### setCurrentReference

    void setCurrentReference(T currentReference)

### isConstructing

    boolean isConstructing()

### startConstruction

    void startConstruction()

### finishConstruction

    void finishConstruction()

### createProxy

    Object createProxy(Class<? super T> expectedType)

### setProxyDelegates

    void setProxyDelegates(T delegate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.